%define upstream_name    HTTP-Cookies
%define upstream_version 6.11

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Win32\\)$
%{?perl_default_filter:%perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Storage of cookies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Headers::Util) >= 6.0.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(locale)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This class is for objects that represent a "cookie jar" -- that is, a
database of all the HTTP cookies that a given LWP::UserAgent object knows
about.

Cookies are a general mechanism which server side connections can use to
both store and retrieve information on the client side of the connection.
For more information about cookies refer to
<URL:http://curl.haxx.se/rfc/cookie_spec.html> and
<URL:http://www.cookiecentral.com/>. This module also implements the new
style cookies described in _RFC 2965_. The two variants of cookies are
supposed to be able to coexist happily.

Instances of the class _HTTP::Cookies_ are able to store a collection of
Set-Cookie2: and Set-Cookie: headers and are able to use this information
to initialize Cookie-headers in _HTTP::Request_ objects. The state of a
_HTTP::Cookies_ object can be saved in and restored from files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Dec 09 2023 tv <tv> 6.110.0-1.mga10
+ Revision: 2016089
- update to 6.11

* Mon Mar 28 2022 umeabot <umeabot> 6.100.0-2.mga9
+ Revision: 1830452
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 6.100.0-1.mga9
+ Revision: 1690230
- update to 6.10

* Fri Nov 20 2020 tv <tv> 6.90.0-1.mga8
+ Revision: 1647840
- update to 6.09

* Tue Feb 18 2020 umeabot <umeabot> 6.80.0-2.mga8
+ Revision: 1539220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 03 2019 tv <tv> 6.80.0-1.mga8
+ Revision: 1464122
- update to 6.08

* Sun Nov 17 2019 tv <tv> 6.70.0-1.mga8
+ Revision: 1461352
- update to 6.07

* Wed Nov 13 2019 tv <tv> 6.60.0-1.mga8
+ Revision: 1459732
- update to 6.06

* Fri Oct 25 2019 tv <tv> 6.50.0-1.mga8
+ Revision: 1455763
- update to 6.05

* Thu Sep 20 2018 umeabot <umeabot> 6.40.0-3.mga7
+ Revision: 1283988
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 6.40.0-2.mga7
+ Revision: 1164834
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 6.40.0-1.mga7
+ Revision: 1155610
- update to 6.04

* Sat Jul 22 2017 shlomif <shlomif> 6.30.0-1.mga7
+ Revision: 1128632
- update to 6.03

* Sun Jun 19 2016 pterjan <pterjan> 6.10.0-10.mga6
+ Revision: 1028431
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.10.0-9.mga6
+ Revision: 948362
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 pterjan <pterjan> 6.10.0-8.mga5
+ Revision: 787570
- Remove wrong excludes

* Wed Oct 15 2014 umeabot <umeabot> 6.10.0-7.mga5
+ Revision: 750106
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 6.10.0-6.mga5
+ Revision: 722222
- fix excludes

* Tue Sep 23 2014 tv <tv> 6.10.0-5.mga5
+ Revision: 721987
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 6.10.0-4.mga5
+ Revision: 684997
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.10.0-3.mga4
+ Revision: 512097
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.10.0-2.mga3
+ Revision: 368260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.10.0-1.mga2
+ Revision: 212898
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62561
- imported package perl-HTTP-Cookies

